corda / net.corda.flows / AbstractStateReplacementFlow / Proposal / <init>

# <init>

`Proposal(stateRef: StateRef, modification: M, stx: SignedTransaction)`

The Proposal contains the details of proposed state modification. This is the message sent by the Instigator to all participants(Acceptor) during the state replacement process.

### Parameters

`M` - the type of a class representing proposed modification by the instigator.